# frozen_string_literal: true

require_relative "lib/fourmi/prawn/utils/version"

Gem::Specification.new do |spec|
  spec.name = "fourmi-prawn-utils"
  spec.version = Fourmi::Prawn::Utils::VERSION
  spec.authors = ["Guillaume Dott"]
  spec.email = ["guillaume+github@dott.fr"]

  spec.summary = "Some methods to simplify PDF creation with Prawn"
  spec.description = "Some methods to simplify PDF creation with Prawn"
  spec.homepage = "https://code.lafourmi-immo.com/lafourmi-immo/prawn-utils"
  spec.license = "MIT"
  spec.required_ruby_version = ">= 2.6.0"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://code.lafourmi-immo.com/lafourmi-immo/prawn-utils"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(__dir__) do
    `git ls-files -z`.split("\x0").reject do |f|
      (f == __FILE__) || f.match(%r{\A(?:(?:bin|test|spec|features)/|\.(?:git|travis|circleci)|appveyor)})
    end
  end
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  spec.add_dependency "prawn"
  spec.add_dependency "prawn-blank"

  # For more information and examples about making a new gem, check out our
  # guide at: https://bundler.io/guides/creating_gem.html
end
