module Fourmi::Prawn::Utils
  module Extensions
    module StrokeRoundedBounds
      def stroke_rounded_bounds(radius = 2)
        stroke_rounded_rectangle [0, bounds.top], bounds.width, bounds.height, radius
      end
    end
  end
end

require 'prawn/document'
Prawn::Document.extensions << Fourmi::Prawn::Utils::Extensions::StrokeRoundedBounds
