module Fourmi::Prawn::Utils
  module Callbacks
    class BorderCallback
      def initialize(document)
        @document = document
      end

      def render_in_front(fragment)
        @document.stroke_polygon(fragment.top_left, fragment.top_right,
                                 fragment.bottom_right, fragment.bottom_left)
      end
    end
  end
end
